
Smart Proxy - Bug #2662

Failed puppet run: undefined method `escape_for_shell' for Proxy::Puppet:Module

06/12/2013 05:12 PM - Ivan Necas

Status: Closed   

Priority: Urgent   

Assignee:    

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

$subject$ when trying to puppetrun via smart-proxy.

Changing:

def self.escape_for_shell(command)

 to

def escape_for_shell(command)

 Seems to work. I wonder, if there is a context where the original code works as well?

Associated revisions

Revision 4a8411d8 - 06/18/2013 03:34 AM - Dmitri Dolguikh 

fixes #2662 - Proxy::Util.escape_for_shell is being used in PuppetRun.run and MCollective.run methods

Revision a6c688a9 - 06/20/2013 04:52 AM - Dmitri Dolguikh 

fixes #2662 - Proxy::Util.escape_for_shell is being used in PuppetRun.run and MCollective.run methods

(cherry picked from commit 4a8411d8d8cfb7510dc8775b5b1b0a0c8c217c69)

History

#1 - 06/12/2013 05:27 PM - Dominic Cleal

- Priority changed from Normal to Urgent

- Target version set to 1.2.0

Which version of the proxy is this?

This code was added in 216728d09495fe5a2940760df702910642853bca, so perhaps you're seeing it there.  It seems I added a regression when

merging 80f8a61f43504ec3a4753dda2ef201483e5ce855 though, which relocated the content and was written before the first fix.

I think we need to put the escape_for_shell code back, and make sure we don't hit this error again?

#2 - 06/13/2013 03:18 AM - Ivan Necas

I'm running my custom build based on aff8fa8b4f7108b30c3e2ff6ec9068c9851e4d91, it seems the recent git doesn't have the problem, but I agree

that escape_for_shell was there for a reason, so it should get back.

Thanks for REALLY quick response :)

#3 - 06/13/2013 11:44 AM - Anonymous

Ivan - do you have a backtrace for this? Looks like Proxy::Util.escape_for_shell is not being used anywhere in smart-proxy/devel...

#4 - 06/13/2013 12:54 PM - Dominic Cleal

05/17/2024 1/2

https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/216728d09495fe5a2940760df702910642853bca
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/80f8a61f43504ec3a4753dda2ef201483e5ce855


Dmitri Dolguikh wrote:

Ivan - do you have a backtrace for this? Looks like Proxy::Util.escape_for_shell is not being used anywhere in smart-proxy/devel...

 See the above comments, I accidentally removed the code in the second SHA above.  This issue now becomes: please restore

216728d09495fe5a2940760df702910642853bca but without the undefined method bug :)

#5 - 06/14/2013 05:41 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#6 - 06/14/2013 08:00 AM - Anonymous

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/smart-proxy/pull/95

#7 - 06/18/2013 04:18 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4a8411d8d8cfb7510dc8775b5b1b0a0c8c217c69.

#8 - 07/10/2018 02:43 PM - Greg Sutcliffe

- Target version deleted (1.2.0)
